# Interface ReleasableComponent

All Known Implementing Classes:
  `Button, CheckBox, FloatingActionButton, LikeButton, Picker, RadioButton, ScaleImageButton, ShareButton, Switch`

public interface ReleasableComponent
An Interface that any Component that could be released from the parent Form can implement. E.g. when a button is held down with a finger and dragged outside of the component bounds a release event might be discarded. With this interface we can register our desire for that release event even in that case.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getReleaseRadius()`
  Indicates a radius in which a pointer release will still have effect.
  `boolean`
  `isAutoRelease()`
  Returns true if this is an auto-released Component.
  `void`
  `setAutoRelease(boolean autoRelease)`
  Sets the auto released mode of the Component
  `void`
  `setReleased()`
  Function that would be called by the parent Form to put the Component in its released state
  `void`
  `setReleaseRadius(int releaseRadius)`
  Indicates a radius in which a pointer release will still have effect.

- ## Method Details

  - ### isAutoRelease

    boolean isAutoRelease()
    Returns true if this is an auto-released Component. An Auto-released Component will be disarmed when a drag is happening within it

  - ### setAutoRelease

    void setAutoRelease(boolean autoRelease)
    Sets the auto released mode of the Component

  - ### getReleaseRadius

    int getReleaseRadius()

    Indicates a radius in which a pointer release will still have effect. Notice that this only applies to pointer release events and not to pointer press events

    ###### Returns

    the releaseRadius

  - ### setReleaseRadius

    void setReleaseRadius(int releaseRadius)

    Indicates a radius in which a pointer release will still have effect. Notice that this only applies to pointer release events and not to pointer press events

    ###### Parameters

    - `releaseRadius`: the releaseRadius to set

  - ### setReleased

    void setReleased()
    Function that would be called by the parent Form to put the Component in its released state